Skip to main content
POST
Create vehicle

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json.

Path Parameters

businessId
string<uuid>
required

The UUID of the business.

Body

application/json
make_and_model
string
required

The make and model of the vehicle (e.g., 'Toyota Camry').

year
integer
required

The model year of the vehicle.

external_id
string | null

An optional external identifier for the vehicle. If provided and a vehicle with this external_id already exists, the existing vehicle will be updated instead of creating a new one.

license_plate
string | null

The license plate number of the vehicle.

vin
string | null

The Vehicle Identification Number (VIN).

description
string | null

An optional description or notes about the vehicle.

is_primary
boolean
default:false

Whether this should be the primary vehicle. If true, any existing primary vehicle will be demoted.

Response

Existing vehicle with matching external_id was updated.

data
object
required